[arch-commits] Commit in python-pycurl/repos (testing-x86_64 testing-x86_64/PKGBUILD)

Felix Yan felixonmars at gemini.archlinux.org
Tue Aug 10 16:30:08 UTC 2021


    Date: Tuesday, August 10, 2021 @ 16:30:08
  Author: felixonmars
Revision: 421292

archrelease: copy trunk to testing-x86_64

Added:
  python-pycurl/repos/testing-x86_64/
  python-pycurl/repos/testing-x86_64/PKGBUILD
    (from rev 421291, python-pycurl/trunk/PKGBUILD)

----------+
 PKGBUILD |   39 +++++++++++++++++++++++++++++++++++++++
 1 file changed, 39 insertions(+)

Copied: python-pycurl/repos/testing-x86_64/PKGBUILD (from rev 421291, python-pycurl/trunk/PKGBUILD)
===================================================================
--- testing-x86_64/PKGBUILD	                        (rev 0)
+++ testing-x86_64/PKGBUILD	2021-08-10 16:30:08 UTC (rev 421292)
@@ -0,0 +1,39 @@
+# Maintainer: Felix Yan <felixonmars at archlinux.org>
+# Contributor: Sergej Pupykin <pupykin.s+arch at gmail.com>
+# Contributor: Angel 'angvp' Velasquez <angvp[at]archlinux.com.ve>
+
+pkgname=python-pycurl
+pkgver=7.44.0
+pkgrel=1
+pkgdesc="A Python 3.x interface to libcurl"
+arch=('x86_64')
+url="http://pycurl.sourceforge.net/"
+license=('LGPL' 'MIT')
+depends=('python' 'curl')
+checkdepends=('python-bottle' 'python-pytest' 'vsftpd' 'python-flaky' 'python-pyflakes')
+source=("https://github.com/pycurl/pycurl/archive/REL_${pkgver//./_}/$pkgname-$pkgver.tar.gz")
+sha512sums=('b7c4ac919448fb618e2b80085d6c779db8a5dd13d592d0148819cb62350ac2565c61b2dece9f88e3a10a505d7d2cc6c719055357943606cc0a1666a611244277')
+
+prepare() {
+  mv pycurl-REL_${pkgver//./_} pycurl-$pkgver
+}
+
+build() {
+  cd pycurl-$pkgver
+  make
+  python setup.py build
+}
+
+check() {
+  export PYCURL_VSFTPD_PATH=vsftpd
+  # We don't have HTTP2 enabled
+
+  cd pycurl-$pkgver
+  PYTHONPATH="$PWD/build/lib.linux-$CARCH-3.9:$PYTHONPATH" make test || warning "Tests failed"
+}
+
+package() {
+  cd pycurl-$pkgver
+  python setup.py install -O1 --root="$pkgdir"
+  install -Dm644 COPYING-MIT -t "$pkgdir"/usr/share/licenses/$pkgname/
+}



More information about the arch-commits mailing list